Use creation date for displaying issues without start date on the calendar
2015-09-01 09:00 - Stefan Rinkes

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Calendar Estimated time: 0.00 hour
Target version:

Resolution:

Description

We removed the Standard Fields "Start Date" and "Due Date" from one of our Trackers.
Now new Issues don't show up in the Calendar.

Looking at the code | discovered that redmine uses the start_date field to search
for Issues in the Database.

| think it would be better to use created_on if start_date is nil or fill start_date
with current date if it is nil in the controller on creation.

This way we could keep using the great Calendar, but also can remove unneeded fields from
the formular.

History

#1 - 2015-09-01 09:32 - Stefan Rinkes
A deeper look in the code brought up

before_validation :clear_disabled_fields

So | think it would be a better approach to just also check the created_on field in the calender query
or
exclude the start_date from clearing.

#2 - 2015-10-01 01:12 - Toshi MARUYAMA

- Target version set to 3.2.0

#3 - 2015-10-14 20:11 - Jean-Philippe Lang
- Tracker changed from Defect to Feature
- Subject changed from Removing Field "Start Date" breaks Calender to Use creation date for displaying issues without start date on the calendar

- Target version deleted (3.2.0)

The calendar is supposed to display issues based on their start/due dates.
I'm not sure that we want to display ALL issues on the calendar based on their creation date.
